import { createSSRApp } from "vue";
import { createRouter, createWebHistory } from "vue-router";
import GERoot, { routes } from "@/generative-energy/GERoot.tsx";

createSSRApp(GERoot)
    .use(createRouter({
        routes, 
        history: createWebHistory('/generative-energy')
    }))
    .mount('#app-root');
