import { computed, defineComponent, ref } from "vue";

export default defineComponent({
    name: "app-root",
    setup() {
        const count = ref(0);
        const countDouble = computed(() => count.value * 2);
        count.value++;
        return () => (
            <div class="app-main">
                <button class="test" onClick={() => count.value++}>Click me!</button>
                <div>Count: {count.value}</div>
                <div>Count Double: {countDouble.value}</div>
                <p>
                    <a href="/generative-energy/">Go to this other site hosted here but a different Vue app!</a>
                </p>
            </div>
        );
    },
});
